import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { SportResultComponent } from '../component/sport-result/sport-result.component';
import { SportMixComponent } from '../component/sport-mix/sport-mix.component';
import { MiniGameComponent } from '../component/mini-game/mini-game.component';
import { MiniGameSettingsComponent } from '../component/mini-game-settings/mini-game-settings.component';
import { ExcelRegistComponent } from '../component/excel-regist/excel-regist.component';
import { BetHistoryComponent } from '../component/bet-history/bet-history.component';
import { SettlementComponent } from '../component/settlement/settlement.component';
import { ItemManagementComponent } from '../component/item-management/item-management.component';
import { LeagueManagementComponent } from '../component/league-management/league-management.component';
import { ExceptAutoRegistComponent } from '../component/except-auto-regist/except-auto-regist.component';

const routes: Routes = [

  {
    path: 'sport-result',
    component: SportResultComponent,
  },
  {
    path: 'sport-mix',
    component: SportMixComponent
  },
  {
    path: 'mini-game',
    component: MiniGameComponent
  },
  {
    path: 'mini-game-settings',
    component: MiniGameSettingsComponent
  },
  {
    path: 'excel-regist',
    component: ExcelRegistComponent
  },
  {
    path: 'bet-history',
    component: BetHistoryComponent
  },
  {
    path: 'settlement',
    component: SettlementComponent
  },
  {
    path: 'item-management',
    component: ItemManagementComponent
  }
  ,
  {
    path: 'league-management',
    component: LeagueManagementComponent
  },
  {
    path: 'except-auto-regist',
    component: ExceptAutoRegistComponent
  }
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class ManageRoutingModule { }
